
Foreman - Bug #1156

default kickstart should not do yum upgrade

09/07/2011 02:55 AM - NoName NoSurname

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Unattended installations   

Target version: 0.4   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Actually, in the default kickstart for redhat, we've a "yum upgrade" in the middle of the file.

I think it is wrong to put "upgrade" because it will defintively upgrade the current install to the last release. In case I want to install

Centos / Redhat 5.4, I don't want the installation process automatically upgrade it to 5.6

That's why I think that you should modify the template with "yum update" instead of "yum upgrade". That would keep the current

selected release updated !

Thanks

Associated revisions

Revision 6003b15e - 10/03/2011 10:32 AM - Ohad Levy

fixes #1156 - default kickstart should not do yum upgrade

History

#1 - 09/07/2011 02:56 AM - Ohad Levy

<hint> Patches are welcomed! </hint>

#2 - 09/09/2011 03:23 AM - NoName NoSurname

The patch is simple :

juste replace the "yum upgrade" by "yum update" into default KS files !

But if you tell me how to do that directly, let me know; I will be pleased to do that !

#3 - 10/03/2011 10:30 AM - Ohad Levy

- Category set to Unattended installations

- Assignee set to Ohad Levy

- Target version set to 0.4

#4 - 10/03/2011 10:31 AM - Ohad Levy

- Subject changed from Default kickstart for redhat modification to default kickstart should not do yum upgrade

#5 - 10/03/2011 10:37 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 6003b15e87b6564ab551baf6222cf46055f25b7b.
